import 'package:api/converters/requests/point/http_generalized/http_generalized_point_create_request_builder.dart';
import 'package:api/converters/requests/point/interfaces/point_create_request_converter.dart';
import 'package:api/models/requests/point/point_create_request.dart';
import 'package:api/utils/shelf/shelf_utils.dart';
import 'package:shelf/shelf.dart';

class ShelfPointCreateRequestConverter implements PointCreateRequestConverter<Request> {
  @override
  Future<PointCreateRequest> call(Request request) async {
    var requestBody = await ShelfUtils.getRequestBody(request);

    var builder = HttpGeneralizedPointCreateRequestBuilder(requestBody);
    return builder.build();
  }
}
