import 'package:api/converters/responses/point/http_generalized/http_generalized_point_response_builder.dart';
import 'package:api/converters/responses/point/interfaces/point_response_converter.dart';
import 'package:api/models/domain/point.dart';
import 'package:shelf/shelf.dart';

class ShelfPointResponseConverter<TPointId> implements PointResponseConverter<Response, TPointId> {
  @override
  Response call(Point<TPointId> point) {
    var builder = HttpGeneralizedPointResponseBuilder(point);

    return Response(builder.buildStatusCode(), body: builder.buildBody());
  }
}
