import 'package:api/databases/interfaces/database.dart';
import 'package:api/models/domain/point.dart';

abstract interface class PointDatabase<TPointId> implements Database<Point<TPointId>, TPointId> {
  Stream<Point<TPointId>> getFromQuery({TPointId? id, double? latitude, double? longitude, DateTime? createdAt});
}
