import 'package:api/databases/interfaces/database.dart';
import 'package:api/models/domain/user.dart';

abstract interface class UserDatabase<T> implements Database<User<T>, T> {
  Future<bool> isUsernameExisting(String username);
  Future<User<T>> getUserByUsernamePasswordHash(String username, String passwordHash);
}
