class EnvironmentVariableNotSetException implements Exception {
  final String environmentVariable;

  EnvironmentVariableNotSetException(this.environmentVariable);

  @override
  String toString() {
    return 'Environment variable $environmentVariable is required but is not set';
  }
}
