class RequestAttributeWrongTypeException implements Exception{
  final String attributeName;
  final Type wrongType;
  final Type correctType;

  RequestAttributeWrongTypeException(this.attributeName, this.wrongType, this.correctType);

  @override
  String toString() {
    return 'Attribute $attributeName was given with type ${wrongType.toString()}, but type ${correctType.toString()} was expected';
  }
}
