import 'package:api/factories/responses/interfaces/authentication_response_factory.dart';
import 'package:api/models/domain/authentication.dart';
import 'package:api/models/responses/authentication/jwt/jwt_authentication_response.dart';

class JwtAuthenticationResponseFactory implements AuthenticationResponseFactory<String>{
  @override
  JwtAuthenticationResponse createInstance(String secret) {
    return JwtAuthenticationResponse(Authentication(secret));
  }
}
