import 'package:api/models/requests/authentication/user_login_request.dart';
import 'package:api/models/requests/authentication/user_register_request.dart';
import 'package:api/models/responses/authentication/interfaces/authentication_response.dart';

abstract interface class AuthenticationService<TUserSecret> {
  Future<AuthenticationResponse<TUserSecret>> register(UserRegisterRequest request);
  Future<AuthenticationResponse<TUserSecret>> login(UserLoginRequest request);
}
