import 'package:api/models/domain/point.dart';
import 'package:api/models/requests/point/point_create_request.dart';
import 'package:api/models/requests/point/point_get_request.dart';

abstract interface class PointService<TPointId> {
  Future<Point<TPointId>> create(PointCreateRequest request);
  Stream<Point<TPointId>> get(PointGetRequest<TPointId> request);
}
