import 'package:api/models/databases/angel3/models.dart';
import 'package:api/models/domain/point.dart' as dm;

extension Angel3PointConverter on Point {
  dm.Point<String> toDomainPoint() {
    return dm.Point(
      id,
      latitude,
      longitude,
      recordedAt,
    );
  }
}
