import 'package:api/models/databases/angel3/models.dart';
import 'package:api/models/domain/user.dart' as dm;

extension Angel3UserConverter on User {
  dm.User<String> toDomainUser() {
    return dm.User(
      id,
      username,
      passwordHash,
      name,
      isEnabled,
    );
  }
}
