import 'package:api/converters/requests/authentication/http_generalized/http_generalized_user_login_request_builder.dart';
import 'package:api/converters/requests/authentication/interfaces/user_login_request_converter.dart';
import 'package:api/models/requests/authentication/user_login_request.dart';
import 'package:api/utils/shelf/shelf_utils.dart';
import 'package:shelf/shelf.dart';

class ShelfUserLoginRequestConverter implements UserLoginRequestConverter<Request> {
  @override
  Future<UserLoginRequest> call(Request request) async {
    var requestBody = await ShelfUtils.getRequestBody(request);
    return HttpGeneralizedUserLoginRequestBuilder(requestBody).build();
  }
}
