import 'package:api/converters/requests/authentication/http_generalized/http_generalized_user_register_request_builder.dart';
import 'package:api/converters/requests/authentication/interfaces/user_register_request_converter.dart';
import 'package:api/models/requests/authentication/user_register_request.dart';
import 'package:api/utils/shelf/shelf_utils.dart';
import 'package:shelf/shelf.dart';

class ShelfUserRegisterRequestConverter implements UserRegisterRequestConverter<Request> {
  @override
  Future<UserRegisterRequest> call(Request request) async {
    var requestBody = await ShelfUtils.getRequestBody(request);
    return HttpGeneralizedUserRegisterRequestBuilder(requestBody).build();
  }
}
