import 'package:api/converters/requests/point/http_generalized/http_generalized_point_get_request_builder.dart';
import 'package:api/converters/requests/point/interfaces/point_get_request_converter.dart';
import 'package:api/models/requests/point/point_get_request.dart';
import 'package:shelf/shelf.dart';

class ShelfPointGetRequestConverter<TPointId> implements PointGetRequestConverter<Request, TPointId> {
  @override
  Future<PointGetRequest<TPointId>> call(Request request) {
    var builder = HttpGeneralizedPointGetRequestBuilder<TPointId>(request.requestedUri.queryParameters);
    return Future.value(builder.build());
  }
}
