import 'package:api/converters/responses/point/http_generalized/http_generalized_point_get_response_builder.dart';
import 'package:api/converters/responses/point/interfaces/point_get_response_converter.dart';
import 'package:api/models/domain/point.dart';
import 'package:shelf/shelf.dart';

class ShelfPointGetResponseConverter<TPointId> implements PointGetResponseConverter<Response, TPointId> {
  @override
  Response call(Iterable<Point<TPointId>> points) {
    var builder = HttpGeneralizedPointGetResponseBuilder(points);

    return Response(builder.buildStatusCode(), body: builder.buildBody());
  }
}
