abstract interface class Database<T, T1> {
  Future<T> create(T item);
  Future<T> read(T1 id);
  Future<T> update(T item);
  Future<T> delete(T1 id);
  Stream<T> readAll();
  Future<T1> generateId();
}
