class RequestAttributeFormatException implements Exception {
  final String attributeName;
  final String expectedFormat;

  RequestAttributeFormatException(
    this.attributeName,
    this.expectedFormat,
  );

  @override
  String toString() {
    return 'The attribute $attributeName is not in the expected format $expectedFormat';
  }
}
