import 'package:api/factories/models/interfaces/user_factory.dart';
import 'package:api/models/databases/angel3/models.dart';

class Angel3UserFactory implements UserFactory<String, Angel3User> {
  @override
  Angel3User call(String id, String username, String passwordHash, {String? name}) {
    return Angel3User(
      id: id,
      createdAt: DateTime.now().toUtc(),
      updatedAt: DateTime.now().toUtc(),
      username: username,
      passwordHash: passwordHash,
      isEnabled: false,
    );
  }
}
