import 'package:api/models/domain/user.dart';

abstract interface class UserFactory<TUserId, TUser extends User<TUserId>> {
  TUser call(TUserId id, String username, String passwordHash, { String? name });
}
