CREATE TABLE users(
    id uuid PRIMARY KEY,
    created_at timestamp with time zone NOT NULL,
    updated_at timestamp with time zone NOT NULL,
    username text UNIQUE NOT NULL,
    password_hash text NOT NULL,
    "name" text,
    is_enabled boolean NOT NULL
);

CREATE TABLE points(
    id uuid PRIMARY KEY,
    latitude decimal NOT NULL,
    longitude decimal NOT NULL,
    recorded_at timestamp with time zone NOT NULL,
    created_at timestamp with time zone NOT NULL,
    updated_at timestamp with time zone NOT NULL,
    user_id uuid REFERENCES users (id) NOT NULL
);
