import 'package:api/models/domain/interfaces/identifiable_model.dart';

abstract interface class User<TUserId> implements IdentifiableModel<TUserId> {
  String get username;
  String get passwordHash;
  String? get name;
  bool get isEnabled;
}
